[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [virt-tools-list] [PATCH virt-viewer] Remove use of deprecated GTK style & size APIs



On Tue, May 15, 2012 at 09:23:10AM -0400, Marc-André Lureau wrote:
> Hi
> 
> ----- Mensaje original -----
> > From: "Daniel P. Berrange" <berrange redhat com>
> > 
> > The GtkStyle API has been deprecated in favour of GtkStyleContext.
> > Update ovBox.c to use the latter. Also replace use of the
> > gtk_widget_size_request API with gtk_widget_get_preferred_size.
> 
> Are we dropping gtk 2.0 compatibility? We would need to check the windows and rhel build with 3.0 then.

Self-NACK for this patch too - I forgot to make it conditional on GTK3

Daniel
-- 
|: http://berrange.com      -o-    http://www.flickr.com/photos/dberrange/ :|
|: http://libvirt.org              -o-             http://virt-manager.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: http://entangle-photo.org       -o-       http://live.gnome.org/gtk-vnc :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]